Bug 783517 - Add httpd_can_network_connect_zabbix boolean?
Summary: Add httpd_can_network_connect_zabbix boolean?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-20 17:15 UTC by Orion Poplawski
Modified: 2012-01-31 22:03 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.10.0-74.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-31 22:03:05 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2012-01-20 17:15:07 UTC
Description of problem:

The zabbix web page attempts to connect to localhost:10051 to check the status of the local zabbix server (or perhaps a remote zabbix server).  I did:

# audit2allow -M zabbix-httpd
type=AVC msg=audit(1327077326.512:35474): avc:  denied  { name_connect } for  pid=1120 comm="httpd" dest=10051 scontext=system_u:system_r:httpd_t:s0 tcontext=system_u:object_r:zabbix_port_t:s0 tclass=tcp_socket

but perhaps a httpd_can_network_connect_zabbix would be useful here?

Version-Release number of selected component (if applicable):
selinux-policy-3.10.0-71.fc16.noarch

Comment 1 Miroslav Grepl 2012-01-20 17:33:49 UTC
You can allow it using the "httpd_can_network_connect" boolean.

Comment 2 Orion Poplawski 2012-01-20 17:38:47 UTC
Yeah, but that opens up all ports, right?  I saw a httpd_can_network_connect_cobbler boolean and figured a _zabbix one might be useful too.  I could see a massive proliferation of variables though.

Comment 3 Miroslav Grepl 2012-01-20 17:47:26 UTC
Ok, we could consider this. Is this a standard setup?

I see we have now

httpd_can_connect_ftp --> off
httpd_can_connect_ldap --> off
httpd_can_network_connect --> off
httpd_can_network_connect_cobbler --> off
httpd_can_network_connect_db --> off
httpd_can_network_memcache --> of

Comment 4 Orion Poplawski 2012-01-20 17:52:25 UTC
Yeah, this is stock config from Fedora packages.

Comment 5 Fedora Update System 2012-01-26 18:16:33 UTC
selinux-policy-3.10.0-74.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-74.fc16

Comment 6 Fedora Update System 2012-01-28 03:29:36 UTC
Package selinux-policy-3.10.0-74.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-74.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0983/selinux-policy-3.10.0-74.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-01-31 22:03:05 UTC
selinux-policy-3.10.0-74.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.